Skip to main content
Platform O&M/Tag Operations

CreateTag

CreateTag

POST/zstack/v1/tags

Operation ID

CreateTag

Since

3.2.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • name
      StringRequired

      The resource name.

    • value
      StringRequired

      The tag value.

    • description
      String

      Optional. The detailed description of the resource.

    • color
      String

      Optional. The tag color.

    • type
      String

      Optional. The tag type.

    • resourceUuid
      String

      Optional.

  • systemTags
    List

    Optional.

  • userTags
    List

    Optional.

Responses

200 OK
200 OK

On success, this API returns an empty JSON object {}.